package lsedit;

import java.awt.Container;

import javax.swing.JApplet;

public class LandscapeViewer extends JApplet {

	/* Implements the browser version of the editor */

	LandscapeViewerCore	m_ls;

	public void init() 
	{
		Container contentPane;

		m_ls = new LandscapeViewerCore();

		setJMenuBar(m_ls.genMenu());

		m_ls.init_app(null, this, 0, 0);

		/* Obtain the arguments (passed as applet tag params) */

		m_ls.lsPath = getParameter("lsfile");

		System.out.println(m_ls.lsPath);

		int num = 0;

		for (;;) {
			String f = getParameter("lsfile_bg" + num);

			if (f == null || f.length() == 0)
				break;

			System.out.println(f);

			m_ls.lsPath_bg.addElement(f);
			num++;
		}
		
		m_ls.editURL	= getParameter("editlink");
		m_ls.aboutURL	= getParameter("toolabout");
		m_ls.helpURL	= getParameter("toolhelp");

		m_ls.startEntity = getParameter("startEntity");

		String vf	= getParameter("verbose");
		String df	= getParameter("debug");

		MsgOut.setVerboseFlag(vf != null && vf.equals("true"));
		MsgOut.setDebugFlag(df != null && df.equals("true"));

		MsgOut.dprintln("Startup Landscape Viewer");

		super.init();
		setVisible(true);
	}
}
